#include <stdio.h>
#include <stdlib.h>

int main()
{
    int h, n, l, r = -1;
    scanf("%d", &n);
    scanf("%d", &l);
    for(int i = 1; i <= n; i++)
    {
        scanf("%d", &h);
        if(h <= l)
            {
                r = i;
                break;
            }
    }
    printf("%d", r);
    return 0;
}